ConstantExpression (Groovy 5.0.7)

Package: org.codehaus.groovy.ast.expr

## [Java] Class ConstantExpression

- org.codehaus.groovy.ast.expr.ConstantExpression

-     public class ConstantExpression
      extends Expression

  Represents a constant expression such as null, true, false.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ConstantExpression` | `EMPTY_EXPRESSION` |
    `static ConstantExpression` | `EMPTY_STRING` |
    `static ConstantExpression` | `FALSE` |
    `static ConstantExpression` | `NULL` |
    `static ConstantExpression` | `PRIM_FALSE` |
    `static ConstantExpression` | `PRIM_TRUE` |
    `static ConstantExpression` | `TRUE` |
    `static ConstantExpression` | `VOID` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConstantExpression(Object value)`
    `ConstantExpression(Object value, boolean keepPrimitive)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getConstantName()`
    `` | `public String` | `getText()`
    `` | `public Object` | `getValue()` Returns: the value of this constant expression
    `` | `public boolean` | `isEmptyStringExpression()`
    `` | `public boolean` | `isFalseExpression()`
    `` | `public boolean` | `isNullExpression()`
    `` | `public boolean` | `isTrueExpression()`
    `` | `public void` | `setConstantName(String constantName)`
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Field Detail

    - #### public static final ConstantExpression EMPTY_EXPRESSION

    - #### public static final ConstantExpression EMPTY_STRING

    - #### public static final ConstantExpression FALSE

    - #### public static final ConstantExpression NULL

    - #### public static final ConstantExpression PRIM_FALSE

    - #### public static final ConstantExpression PRIM_TRUE

    - #### public static final ConstantExpression TRUE

    - #### public static final ConstantExpression VOID

  - ### Constructor Detail

    - #### public ConstantExpression(Object value)

    - #### public ConstantExpression(Object value, boolean keepPrimitive)

  - ### Method Detail

    - #### public String getConstantName()

    - #### @Override
      public String getText()

    - #### public Object getValue()

      Returns:
        the value of this constant expression

    - #### public boolean isEmptyStringExpression()

    - #### public boolean isFalseExpression()

    - #### public boolean isNullExpression()

    - #### public boolean isTrueExpression()

    - #### public void setConstantName(String constantName)

    - #### @Override
      public String toString()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)